IEEE1284_SET_TIMEOUT(3)

NAME
ieee1284_set_timeout - modify inactivity timeout

SYNOPSIS

#include <ieee1284.h>

struct timeval *ieee1284_set_timeout(struct parport *port, struct timeval *timeout);

DESCRIPTION

This function sets a new value for the inactivity timeout (used for block transfer functions), and returns the old value.

The port must be claimed.

The timeout parameter may be NULL, in which case the old value is left unchanged.

RETURN VALUE

This function returns a pointer to a struct timeval representing the old value. This uses the same storage as the port structure, and so is not valid after closing the port.

NOTES

Note that this is an inactivity time-out, not an absolute time-out. During a data transfer, if the peripheral is inactive for the length of time specified then the host gives up.

It is also advisory; no guarantee is made that the transfer will ever complete.

AUTHOR

Tim Waugh <twaugh@redhat.com>

    Author.

COPYRIGHT
Copyright © 2001-2003 Tim Waugh